## qt4-maemo5 4.6.0~git20091105-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091105-0maemo1) unstable; urgency=low

  * Initial packaging of Qt 4.6 for fremantle.

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 05 Nov 2009 17:52:01 +0200
