## qt4-maemo5 4.6.0~git20091118-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091118-0maemo1) unstable; urgency=low

  * Also install qdbuscpp2xml and qdbusxml2cpp

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 18 Nov 2009 15:33:01 +0200

qt4-maemo5 (4.6.0~git20091117-0maemo1) unstable; urgency=low

  * Fix dependencies for the QtOpenGL package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 17 Nov 2009 15:33:01 +0200

qt4-maemo5 (4.6.0~git20091116-0maemo1) unstable; urgency=low

  * Exclude .git/ directory from source packages

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 16 Nov 2009 17:23:01 +0200
