=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 DEB_MAKE_BUILD_TARGET := sub-src
 DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+DEB_DH_ALWAYS_EXCLUDE := .git
 
 # Ensure the *.debug files aren't included in any package other than libqt4-maemo5-dbg
 DEB_DH_INSTALL_ARGS := --exclude=.debug
@@ -100,6 +101,20 @@
 				-gtkstyle \
 				$(EXTRA_CONFIGURE_OPTS)
 
+common-build-arch:: build-dbus-tools
+
+build-dbus-tools:
+	bin/qmake -o tools/qdbus/qdbusxml2cpp/Makefile tools/qdbus/qdbusxml2cpp/qdbusxml2cpp.pro
+	bin/qmake -o tools/qdbus/qdbuscpp2xml/Makefile tools/qdbus/qdbuscpp2xml/qdbuscpp2xml.pro
+	$(MAKE) -C tools/qdbus/qdbusxml2cpp
+	$(MAKE) -C tools/qdbus/qdbuscpp2xml
+
+common-install-arch:: install-dbus-tools
+
+install-dbus-tools:
+	$(MAKE) -C tools/qdbus/qdbusxml2cpp $(DEB_MAKE_INSTALL_TARGET)
+	$(MAKE) -C tools/qdbus/qdbuscpp2xml $(DEB_MAKE_INSTALL_TARGET)
+
 clean::
 # Extra stuff missed by confclean/distclean
