## qt4-maemo5 4.6.0~git20091119-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091119-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 19 Nov 2009 18:50:01 +0200
