## qt4-maemo5 4.6.0~git20091125-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091125-0maemo1) unstable; urgency=low

  * Pulled latest source code
  * Removed libqt4-maemo5-opengl-dev, merged into libqt4-maemo5-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 25 Nov 2009 11:07:01 +0200
