=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 # Find out how many parallel threads to run 
-TMP_BUILD_OPTS = $(subst $(comma),$(space),$(DEB_BUILD_OPTIONS))
+comma := ,
+TMP_BUILD_OPTS = $(subst $(comma), ,$(DEB_BUILD_OPTIONS))
 ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
 	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
@@ -81,7 +82,6 @@
 				-no-qt3support \
 				-no-libmng \
 				-opengl $(GL_BACKEND) \
-				-no-accessibility \
 				-nomake examples \
 				-nomake demos \
 				-nomake tools \
