## qt4-maemo5 4.6.0~git20091204-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091204-0maemo1) unstable; urgency=low

  * Also package libQtMultimedia
  * Updated dependencies of libqt4-maemo5-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 04 Nov 2009 15:29:01 +0200
