=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # Shlibs of the current upstream version
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
-DEB_DH_STRIP_ARGS := --dbg-package=libqt4-maemo5-core --dbg-package=libqt4-maemo5-gui --dbg-package=libqt4-maemo5-network --dbg-package=libqt4-maemo5-script --dbg-package=libqt4-maemo5-sql --dbg-package=libqt4-maemo5-sql-sqlite --dbg-package=libqt4-maemo5-svg --dbg-package=libqt4-maemo5-xml --dbg-package=libqt4-maemo5-dbus --dbg-package=libqt4-maemo5-opengl --dbg-package=libqt4-maemo5-phonon --dbg-package=libqt4-maemo5-xmlpatterns --dbg-package=libqt4-maemo5-webkit --dbg-package=libqt4-maemo5-test -X/moc -X/rcc -X/uic -X/uic3 -X/qmake
+DEB_DH_STRIP_ARGS := --dbg-package=libqt4-maemo5-core --dbg-package=libqt4-maemo5-gui --dbg-package=libqt4-maemo5-network --dbg-package=libqt4-maemo5-script --dbg-package=libqt4-maemo5-sql --dbg-package=libqt4-maemo5-sql-sqlite --dbg-package=libqt4-maemo5-svg --dbg-package=libqt4-maemo5-xml --dbg-package=libqt4-maemo5-dbus --dbg-package=libqt4-maemo5-opengl --dbg-package=libqt4-maemo5-phonon --dbg-package=libqt4-maemo5-multimedia --dbg-package=libqt4-maemo5-xmlpatterns --dbg-package=libqt4-maemo5-webkit --dbg-package=libqt4-maemo5-test -X/moc -X/rcc -X/uic -X/uic3 -X/qmake
 
 DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug
