## qt4-maemo5 4.6.0~git20091207-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091207-0maemo1) unstable; urgency=low

  * Added mce-dev as build requirement

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 07 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091206-0maemo1) unstable; urgency=low

  * Also package maemo5 examples

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 06 Dec 2009 15:29:01 +0200
