## qt4-maemo5 4.6.0~git20091211-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091211-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 11 Dec 2009 15:29:01 +0200
