=== debian/rules ===
--- 
+++ 
@@ -101,7 +101,7 @@
 				-gtkstyle \
 				$(EXTRA_CONFIGURE_OPTS)
 
-common-build-arch:: build-dbus-tools
+common-build-arch:: build-dbus-tools build-maemo5-examples
 
 build-dbus-tools:
 	bin/qmake -o tools/qdbus/qdbusxml2cpp/Makefile tools/qdbus/qdbusxml2cpp/qdbusxml2cpp.pro
@@ -109,11 +109,19 @@
 	$(MAKE) -C tools/qdbus/qdbusxml2cpp
 	$(MAKE) -C tools/qdbus/qdbuscpp2xml
 
-common-install-arch:: install-dbus-tools
+build-maemo5-examples:
+	# with SUBDIRS pro files, we do not need to specify -o
+	bin/qmake examples/maemo5/maemo5.pro
+	$(MAKE) -C examples/maemo5
+
+common-install-arch:: install-dbus-tools install-maemo5-examples
 
 install-dbus-tools:
 	$(MAKE) -C tools/qdbus/qdbusxml2cpp $(DEB_MAKE_INSTALL_TARGET)
 	$(MAKE) -C tools/qdbus/qdbuscpp2xml $(DEB_MAKE_INSTALL_TARGET)
+
+install-maemo5-examples:
+	$(MAKE) -C examples/maemo5 $(DEB_MAKE_INSTALL_TARGET)
 
 clean::
 # Extra stuff missed by confclean/distclean
