## qt4-maemo5 4.6.0~git20091212-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091212-0maemo1) unstable; urgency=low

  * OpenGL fix

 -- Qt Development Frameworks <qt-info@nokia.com>  Sat, 12 Dec 2009 15:29:01 +0200
