## qt4-maemo5 4.6.0~git20091215-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Fix dependencies of libQtMultimedia

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

qt4-maemo5 (4.6.0~git20091214-0maemo1) unstable; urgency=low

  * Also package accessible plugins and the N900 QtMultimedia plugin

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 14 Dec 2009 15:29:01 +0200
