## qt4-maemo5 4.6.0~git20091218-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20091218-0maemo1) unstable; urgency=low

  * Also strip the host-tools in libqt4-maemo5-dev
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 18 Dec 2009 15:29:01 +0200
