=== debian/rules ===
--- 
+++ 
@@ -36,15 +36,6 @@
 # Shlibs of the current upstream version
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
-DEB_DH_STRIP_ARGS := --dbg-package=libqt4-maemo5-core --dbg-package=libqt4-maemo5-gui --dbg-package=libqt4-maemo5-network --dbg-package=libqt4-maemo5-script --dbg-package=libqt4-maemo5-sql --dbg-package=libqt4-maemo5-sql-sqlite --dbg-package=libqt4-maemo5-svg --dbg-package=libqt4-maemo5-xml --dbg-package=libqt4-maemo5-dbus --dbg-package=libqt4-maemo5-opengl --dbg-package=libqt4-maemo5-phonon --dbg-package=libqt4-maemo5-multimedia --dbg-package=libqt4-maemo5-xmlpatterns --dbg-package=libqt4-maemo5-webkit --dbg-package=libqt4-maemo5-test -X/moc -X/rcc -X/uic -X/uic3 -X/qmake
-
-DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug
-
-# Only present in official source package
-#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)
-
-EXTRA_CONFIGURE_OPTS += -DQT_QLOCALE_USES_FCVT
-
 TARGET_BUILD=0
 ifeq ($(DEB_HOST_ARCH),arm)
 	TARGET_BUILD=1
@@ -56,9 +47,21 @@
 # Select OpenGL backend driver
 ifeq ($(TARGET_BUILD),1)
 	GL_BACKEND=es2
+	# On the target, moc, rcc, uic and qmake are built as host tools, so we'll strip them later
+	EXTRA_STRIP_ARGS=-X/moc -X/rcc -X/uic -X/qmake
+	EXTRA_HOST_STRIP_ARGS=--strip-all bin/moc bin/rcc bin/uic bin/qmake
 else
 	GL_BACKEND=desktop
-endif
+	EXTRA_STRIP_ARGS=
+	EXTRA_HOST_STRIP_ARGS=
+endif
+
+DEB_DH_STRIP_ARGS := --dbg-package=libqt4-core --dbg-package=libqt4-gui --dbg-package=libqt4-network --dbg-package=libqt4-script --dbg-package=libqt4-sql --dbg-package=libqt4-sql-sqlite --dbg-package=libqt4-svg --dbg-package=libqt4-xml --dbg-package=libqt4-dbus --dbg-package=libqt4-opengl --dbg-package=libqt4-phonon --dbg-package=libqt4-multimedia --dbg-package=libqt4-xmlpatterns --dbg-package=libqt4-webkit --dbg-package=libqt4-test $(EXTRA_STRIP_ARGS)
+
+DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug
+
+# Only present in official source package
+#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)
 
 common-configure-arch:: config.status
 
@@ -101,7 +104,10 @@
 				-gtkstyle \
 				$(EXTRA_CONFIGURE_OPTS)
 
-common-build-arch:: build-dbus-tools build-maemo5-examples
+common-build-arch:: build-dbus-tools build-maemo5-examples strip-host-tools
+
+strip-host-tools:
+	if [ -n "$(EXTRA_HOST_STRIP_ARGS)" ] ; then host-strip $(EXTRA_HOST_STRIP_ARGS) ; fi
 
 build-dbus-tools:
 	bin/qmake -o tools/qdbus/qdbusxml2cpp/Makefile tools/qdbus/qdbusxml2cpp/qdbusxml2cpp.pro
