## qt4-maemo5 4.6.0~git20100111-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20100111-0maemo1) unstable; urgency=low

  * Also package lrelease and lupdate
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 01 Jan 2010 15:29:01 +0200
