=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxmu-dev,
  libxrandr-dev, libxrender-dev, libxt-dev, x11proto-core-dev,
  zlib1g-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, 
- libgles2-dev [arm armel !i386] | libgles2-sgx-img-dev [arm armel !i386], opengles-sgx-img-common-dev [arm armel !i386],
- libgl-dev [i386 !arm !armel], libgl1 [i386 !arm !armel],
- libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel !i386],
+ libgles2-dev [arm armel] | libgles2-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel],
+ libgl-dev [i386], libgl1 [i386],
+ libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel],
  libsqlite3-dev, libsqlite3-0, libssl-dev, icd2-osso-ic-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libasound2-dev, mce-dev, libpulse-dev
 Standards-Version: 3.7.3
 
@@ -39,7 +39,7 @@
 Package: libqt4-maemo5-gui
 Architecture: any
 Section: libs
-Depends: libc6 (>= 2.5.0-1), libfontconfig1 (>= 2.4.1), libfreetype6 (>= 2.3.5), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.8rel), libqt4-maemo5-core (= ${binary:Version}), libsm6, libstdc++6 (>= 4.2.1), libtiff4, libx11-6, libxext6, libxi6, libxrandr2 (>= 2:1.2.0), libxrender1, zlib1g (>= 1:1.2.1), fontconfig, opengles-sgx-img-common [arm armel !i386], libgles2-sgx-img [arm armel !i386]
+Depends: libc6 (>= 2.5.0-1), libfontconfig1 (>= 2.4.1), libfreetype6 (>= 2.3.5), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.8rel), libqt4-maemo5-core (= ${binary:Version}), libsm6, libstdc++6 (>= 4.2.1), libtiff4, libx11-6, libxext6, libxi6, libxrandr2 (>= 2:1.2.0), libxrender1, zlib1g (>= 1:1.2.1), fontconfig, opengles-sgx-img-common [arm armel], libgles2-sgx-img [arm armel]
 Description: Qt 4 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -173,7 +173,10 @@
 Package: libqt4-maemo5-webkit
 Architecture: any
 Section: libs
-Depends:  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-maemo5-network (= ${binary:Version}), libqt4-maemo5-core (= ${binary:Version}), libqt4-maemo5-gui (= ${binary:Version}), libqt4-maemo5-phonon (= ${binary:Version}), libqt4-maemo5-xmlpatterns (= ${binary:Version}), libstdc++6 (>= 4.2.1)
+Depends:  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1),
+ libqt4-maemo5-network (= ${binary:Version}), libqt4-maemo5-core (= ${binary:Version}),
+ libqt4-maemo5-gui (= ${binary:Version}), libqt4-maemo5-phonon (= ${binary:Version}),
+ libqt4-maemo5-xmlpatterns (= ${binary:Version}), libstdc++6 (>= 4.2.1), libsqlite3-0
 Description: Qt 4 WebKit module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -276,3 +279,4 @@
 Priority: extra
 Architecture: any
 Section: libdevel
+Depends: libqt4-maemo5-test (= ${binary:Version})
