=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 ifeq ($(TARGET_BUILD),1)
 	GL_BACKEND=es2
 	# On the target, moc, rcc, uic and qmake are built as host tools, so we'll strip them later
-	EXTRA_STRIP_ARGS=-X/moc -X/rcc -X/uic -X/qmake
-	EXTRA_HOST_STRIP_ARGS=--strip-all bin/moc bin/rcc bin/uic bin/qmake
+	EXTRA_STRIP_ARGS=-X/moc -X/rcc -X/uic -X/qmake -X/lrelease
+	EXTRA_HOST_STRIP_ARGS=--strip-all bin/moc bin/rcc bin/uic bin/qmake bin/lrelease
 else
 	GL_BACKEND=desktop
 	EXTRA_STRIP_ARGS=
@@ -104,7 +104,7 @@
 				-gtkstyle \
 				$(EXTRA_CONFIGURE_OPTS)
 
-common-build-arch:: build-dbus-tools build-maemo5-examples strip-host-tools
+common-build-arch:: build-dbus-tools build-linguist-tools build-maemo5-examples strip-host-tools
 
 strip-host-tools:
 	if [ -n "$(EXTRA_HOST_STRIP_ARGS)" ] ; then host-strip $(EXTRA_HOST_STRIP_ARGS) ; fi
@@ -115,16 +115,26 @@
 	$(MAKE) -C tools/qdbus/qdbusxml2cpp
 	$(MAKE) -C tools/qdbus/qdbuscpp2xml
 
+build-linguist-tools:
+	bin/qmake -spec $(PWD)/mkspecs/linux-host-g++ -o tools/linguist/lrelease/Makefile tools/linguist/lrelease/lrelease.pro
+	bin/qmake -o tools/linguist/lupdate/Makefile tools/linguist/lupdate/lupdate.pro
+	$(MAKE) -C tools/linguist/lrelease
+	$(MAKE) -C tools/linguist/lupdate
+
 build-maemo5-examples:
 	# with SUBDIRS pro files, we do not need to specify -o
 	bin/qmake examples/maemo5/maemo5.pro
 	$(MAKE) -C examples/maemo5
 
-common-install-arch:: install-dbus-tools install-maemo5-examples
+common-install-arch:: install-dbus-tools install-linguist-tools install-maemo5-examples
 
 install-dbus-tools:
 	$(MAKE) -C tools/qdbus/qdbusxml2cpp $(DEB_MAKE_INSTALL_TARGET)
 	$(MAKE) -C tools/qdbus/qdbuscpp2xml $(DEB_MAKE_INSTALL_TARGET)
+
+install-linguist-tools:
+	$(MAKE) -C tools/linguist/lrelease $(DEB_MAKE_INSTALL_TARGET)
+	$(MAKE) -C tools/linguist/lupdate $(DEB_MAKE_INSTALL_TARGET)
 
 install-maemo5-examples:
 	$(MAKE) -C examples/maemo5 $(DEB_MAKE_INSTALL_TARGET)
