## qt4-maemo5 4.6.0~git20100119-1maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.0~git20100119-1maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 19 Jan 2010 10:01:01 +0200
