=== debian/control ===
--- 
+++ 
@@ -36,6 +36,16 @@
  .
  This packages contains the debugging symbols for the Qt 4 Core libraries.
 
+Package: libqt4-maemo5-translations
+Architecture: any
+Section: libs
+Depends: libqt4-maemo5-core (= ${binary:Version})
+Description: Qt 4 translations
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the translation files for all Qt modules.
+
 Package: libqt4-maemo5-gui
 Architecture: any
 Section: libs
@@ -269,14 +279,3 @@
 Section: libs
 Depends: libc6 (>= 2.5.0-1), libqt4-maemo5-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
 Description: Qt 4 test module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The QtTest module provides classes for unit testing Qt applications and
- libraries.
-
-Package: libqt4-maemo5-test-dbg
-Priority: extra
-Architecture: any
-Section: libdevel
-Depends: libqt4-maemo5-test (= ${binary:Version})
