=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	EXTRA_HOST_STRIP_ARGS=
 endif
 
-DEB_DH_STRIP_ARGS := --dbg-package=libqt4-core --dbg-package=libqt4-gui --dbg-package=libqt4-network --dbg-package=libqt4-script --dbg-package=libqt4-sql --dbg-package=libqt4-sql-sqlite --dbg-package=libqt4-svg --dbg-package=libqt4-xml --dbg-package=libqt4-dbus --dbg-package=libqt4-opengl --dbg-package=libqt4-phonon --dbg-package=libqt4-multimedia --dbg-package=libqt4-xmlpatterns --dbg-package=libqt4-webkit --dbg-package=libqt4-test $(EXTRA_STRIP_ARGS)
+DEB_DH_STRIP_ARGS := --dbg-package=libqt4-maemo5-core --dbg-package=libqt4-maemo5-gui --dbg-package=libqt4-maemo5-network --dbg-package=libqt4-maemo5-script --dbg-package=libqt4-maemo5-sql --dbg-package=libqt4-maemo5-sql-sqlite --dbg-package=libqt4-maemo5-svg --dbg-package=libqt4-maemo5-xml --dbg-package=libqt4-maemo5-dbus --dbg-package=libqt4-maemo5-opengl --dbg-package=libqt4-maemo5-phonon --dbg-package=libqt4-maemo5-multimedia --dbg-package=libqt4-maemo5-xmlpatterns --dbg-package=libqt4-maemo5-webkit --dbg-package=libqt4-maemo5-test --dbg-package=libqt4-maemo5-maemo5 $(EXTRA_STRIP_ARGS)
 
 DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug
 
@@ -71,6 +71,7 @@
 				-confirm-license \
 				-prefix "/opt/qt4-maemo5" \
 				-plugindir "/opt/qt4-maemo5/lib/qt4/plugins" \
+				-translationdir "/opt/qt4-maemo5/share/qt4/translations" \
 				-sysconfdir "/etc/xdg" \
 				-release \
 				--separate-debug-info=nocopy \
