## qt4-maemo5 4.6.2~git20100128-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.2~git20100128-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch
  * Also package libQtUiTools.a

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 28 Jan 2010 11:29:01 +0200
