=== debian/rules ===
--- 
+++ 
@@ -105,7 +105,7 @@
 				-gtkstyle \
 				$(EXTRA_CONFIGURE_OPTS)
 
-common-build-arch:: build-dbus-tools build-linguist-tools build-maemo5-examples strip-host-tools
+common-build-arch:: build-dbus-tools build-linguist-tools build-maemo5-examples strip-host-tools build-uitools
 
 strip-host-tools:
 	if [ -n "$(EXTRA_HOST_STRIP_ARGS)" ] ; then host-strip $(EXTRA_HOST_STRIP_ARGS) ; fi
@@ -127,7 +127,11 @@
 	bin/qmake examples/maemo5/maemo5.pro
 	$(MAKE) -C examples/maemo5
 
-common-install-arch:: install-dbus-tools install-linguist-tools install-maemo5-examples
+build-uitools:
+	bin/qmake -o tools/designer/src/uitools/Makefile tools/designer/src/uitools/uitools.pro
+	$(MAKE) -C tools/designer/src/uitools
+
+common-install-arch:: install-dbus-tools install-linguist-tools install-maemo5-examples install-uitools
 
 install-dbus-tools:
 	$(MAKE) -C tools/qdbus/qdbusxml2cpp $(DEB_MAKE_INSTALL_TARGET)
@@ -139,6 +143,9 @@
 
 install-maemo5-examples:
 	$(MAKE) -C examples/maemo5 $(DEB_MAKE_INSTALL_TARGET)
+
+install-uitools:
+	$(MAKE) -C tools/designer/src/uitools $(DEB_MAKE_INSTALL_TARGET)
 
 clean::
 # Extra stuff missed by confclean/distclean
