=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,7 @@
 				-plugin-sql-sqlite \
 				-openssl \
 				-gtkstyle \
+				-graphicssystem raster \
 				$(EXTRA_CONFIGURE_OPTS)
 
 common-build-arch:: build-dbus-tools build-linguist-tools build-maemo5-examples strip-host-tools build-uitools
