## qt4-maemo5 4.6.2~git20100210-0maemo1

=== debian/changelog ===
qt4-maemo5 (4.6.2~git20100210-0maemo1) unstable; urgency=low

  * Add transitional package for libqt4-maemo5-opengl-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 10 Feb 2010 09:29:01 +0200
